> For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single Lead Export

GET https://api.close.com/api/v1/export/lead/{id}/

Get a single lead export to do things like check its `status` or get a `download_url`.

`status` can have one of these values: `created`, `started`, `in_progress`, `done`, `error`.

Reference: https://developer.close.com/api/resources/exports/get-lead

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: config
  version: 1.0.0
paths:
  /export/lead/{id}/:
    get:
      operationId: get-lead
      summary: Get a single Lead Export
      description: >-
        Get a single lead export to do things like check its `status` or get a
        `download_url`.


        `status` can have one of these values: `created`, `started`,
        `in_progress`, `done`, `error`.
      tags:
        - subpackage_exports
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/exports_getLead_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
    description: https://api.close.com/api/v1
components:
  schemas:
    exports_getLead_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: exports_getLead_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2014-04-02T15:00:05.190000+00:00",
  "date_format": "iso8601",
  "date_updated": "2014-04-02T23:36:30.719000+00:00",
  "download_url": "https://close-exports.s3.amazonaws.com/expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=60&X-Amz-Signature=EXAMPLE",
  "fields": [
    "addresses",
    "contacts",
    "created_by",
    "created_by_name",
    "custom",
    "date_created",
    "date_updated",
    "description",
    "display_name",
    "id",
    "name",
    "status_id",
    "status_label",
    "updated_by",
    "updated_by_name",
    "url"
  ],
  "format": "csv",
  "id": "expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae",
  "n_docs": 100000,
  "n_docs_processed": 100000,
  "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
  "results_limit": null,
  "s_query": {
    "queries": [
      {
        "object_type": "lead",
        "type": "object_type"
      },
      {
        "condition": {
          "mode": "full_words",
          "type": "text",
          "value": "ACME Inc."
        },
        "field": {
          "field_name": "name",
          "object_type": "lead",
          "type": "regular_field"
        },
        "type": "field_condition"
      }
    ],
    "type": "and"
  },
  "send_done_email": false,
  "sort": [],
  "status": "done",
  "type": "leads",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python exports_getLead_example
import requests

url = "https://api.close.com/api/v1/export/lead/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript exports_getLead_example
const url = 'https://api.close.com/api/v1/export/lead/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go exports_getLead_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/export/lead/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby exports_getLead_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/export/lead/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java exports_getLead_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/export/lead/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php exports_getLead_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/export/lead/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp exports_getLead_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/export/lead/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```